<template>
    <img class="error404" src="../assets/images/404.svg" alt="404 not found"/>
</template>

<script>
export default {
    name: "Error404",
    data() {
        return {
            timeout: null
        }
    },
    mounted() {
        setTimeout(() => {
            this.$router.push("/");
        }, 5000);
    },
    destroyed() {
        if (this.timeout)
            clearTimeout(this.timeout);
    }
}
</script>

<style scoped>
.error404 {
    display: block;
    margin-left: auto;
    margin-right: auto;
}
</style>